GrailsHTMLPageParser (Grails 2.4.4)
Date: 2014-10-28

Package: org.codehaus.groovy.grails.web.sitemesh

## [Java] Class GrailsHTMLPageParser

- org.codehaus.groovy.grails.web.sitemesh.GrailsHTMLPageParser

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `protected void` | `addUserDefinedRules(com.opensymphony.module.sitemesh.html.State html, com.opensymphony.module.sitemesh.html.rules.PageBuilder page)`
    `com.opensymphony.module.sitemesh.Page` | `parse(char[] data)`
    `com.opensymphony.sitemesh.Content` | `parseContent(char[] data)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class com.opensymphony.module.sitemesh.parser.HTMLPageParser` | `com.opensymphony.module.sitemesh.parser.HTMLPageParser#parse([C), com.opensymphony.module.sitemesh.parser.HTMLPageParser#wait(long, int), com.opensymphony.module.sitemesh.parser.HTMLPageParser#wait(long), com.opensymphony.module.sitemesh.parser.HTMLPageParser#wait(), com.opensymphony.module.sitemesh.parser.HTMLPageParser#equals(java.lang.Object), com.opensymphony.module.sitemesh.parser.HTMLPageParser#toString(), com.opensymphony.module.sitemesh.parser.HTMLPageParser#hashCode(), com.opensymphony.module.sitemesh.parser.HTMLPageParser#getClass(), com.opensymphony.module.sitemesh.parser.HTMLPageParser#notify(), com.opensymphony.module.sitemesh.parser.HTMLPageParser#notifyAll()`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Method Detail

    - #### @java.lang.Override protected void addUserDefinedRules(com.opensymphony.module.sitemesh.html.State html, com.opensymphony.module.sitemesh.html.rules.PageBuilder page)

    - #### @java.lang.Override public com.opensymphony.module.sitemesh.Page parse(char[] data)

    - #### public com.opensymphony.sitemesh.Content parseContent(char[] data)